Hi dddn -San.
The status bar in the lower left corner of the screen displays different characters for each language.
I have created a function to determine the language by how "Object" is displayed when nothing is selected.
Link
I am using Japanese CATIA V5, so the characters to be judged may...
Hi xPAIVAx-San.
We can do it this way.
・・・
' Store the value of Espessura_8 in a variable
'Dim valueToPass As Double ' Change the data type to match the parameter type
'valueToPass = parameter8.value
' Relate the parameters by setting the value of Espessura_C8 to the...
hoangthe.
Rewrite the get_circles function next and add the is_close_circle function.
・・・
Private Function get_circles( _
ByVal view As DrawingView) _
As Collection
Set get_circles = Nothing
Dim sheet As DrawingSheet
Set sheet = get_parent_of_T(view, "DrawingSheet")...
It was so long ago that I had forgotten about it.
Please see the data available here.
Link
Create two Isoparameters and two Sweeps on top of the pipe geometry.
The intersect between these two surfaces becomes the centerline.
In this method, the centerline can be obtained even if the radius is...
Hi Runningkls.
Autodesk's Fusion360 (like a CATIA macro) that measures and creates centerlines for pipes and harnesses.
Link
Please feel free to use it if you have any use for it. Originally, it was requested by a Japanese user, so it only displays in Japanese, but it can be modified to...
NaWin55.
If you select a surface in the second selection, you will get the geometrical set to which the surface belongs.
See the selection filter.
I only made one example of how to get edges that are perpendicular.
That is because your first question was.
CAD_ROB.
I have never worked on CatScript, so I did not know the difference between VBA and CatScript.
・Collection is not available
・Return value of HybridShapeFactory.GetGeometricalFeatureType method is off by one.
'catscript
Option Explicit
Sub CATMain()
Dim msg As String
msg =...
NaWin55.
Run the following macro, select Yaxis and then GeometricSet.
You should be able to find the edge you are looking for.
'vba
Option Explicit
Private Const TOLERANCE = 0.001
Sub CATMain()
Dim partDoc As PartDocument
Set partDoc = CATIA.ActiveDocument
Dim msg As String...
hoangthe.
You can find the circle by Isolating the link.
This is not a very pretty method, but here is an example of temporarily copying and pasting a view, Isolating it, and then deleting it once the necessary information is retrieved.
A new view is created near the origin, and the result is...
Hi AlvaroPers.
Try this.
'vba
Option Explicit
Sub CATMain()
Dim drawDoc As DrawingDocument
Set drawDoc = CATIA.ActiveDocument
Dim targetView As DrawingView
Set targetView = drawDoc.sheets.ActiveSheet.views.ActiveView
Dim behavior As...
I have created a sample that creates a midpoint without using "selection.Search".
'vba
Option Explicit
Sub CATMain()
Dim msg As String
msg = "Select a GeometrySet with curves to create midpoints / ESC = Cancel"
Dim selElement As SelectedElement
Set selElement =...
Hi CAD_ROB.
Create a new PartDocument and try the following sample.
'vba
Option Explicit
Sub test()
Dim doc As PartDocument
Set doc = CATIA.ActiveDocument
Dim pt As Part
Set pt = doc.Part
Dim selection1 As selection
Set selection1 = doc.selection...
Time has passed, but it looked like fun, so I gave it a try.
Running the following macro will display balloon information referencing the dimensions in the active sheet.
'vba
Option Explicit
Private Const tolerance = 0.001
Sub CATMain()
Dim dDoc As DrawingDocument
Set dDoc =...
'vba
Option Explicit
Private Const TOLERANCE = 0.001
Sub CATMain()
Dim partDoc As PartDocument
Set partDoc = CATIA.ActiveDocument
Dim pt As Part
Set pt = partDoc.Part
Dim msg As String
msg = "Select a plane as a reference plane : ESC key Exit"
Dim planeRef...